Name: icinga-x509
Version: 1.2.1
Release: 1.fc37
Summary: Icinga Certificate Monitoring
Group: Applications/System

License: GPLv2

URL: https://icinga.com

Source0: icinga-x509-1.2.1.tgz
Source1: icinga-x509-rpm.tgz

Requires: icinga-x509-daemon = 1.2.1-1.fc37
Requires: icinga-x509-web = 1.2.1-1.fc37

BuildArch: noarch

%description
Keeps track of certificates as they are deployed in a network environment.

%package php
Summary: Icinga Certificate Monitoring PHP files
Requires: icingaweb2-common >= 2.10.5
Requires: icinga-php-library >= 0.11.0
Requires: icinga-php-thirdparty >= 0.11.0

Requires: php-gmp
Requires: php-pcntl

%description php
PHP files for Icinga Certificate Monitoring.

%package daemon
Summary: Icinga Certificate Monitoring daemon files
BuildRequires: systemd-rpm-macros
Requires: icinga-x509-php = 1.2.1-1.fc37
Requires: icingacli >= 2.10.5

%description daemon
Daemon files for Icinga Certificate Monitoring.

%package web
Summary: Icinga Certificate Monitoring web files
Requires: icingaweb2 >= 2.10.5
Requires: icinga-x509-php = 1.2.1-1.fc37

%description web
Web files for Icinga Certificate Monitoring.

%prep
%autosetup
install -d sources
cd sources
tar -xzf %_topdir/SOURCES/icinga-x509-rpm.tgz
cd -

%install

install -d %_topdir/BUILDROOT/icinga-x509-1.2.1-1.fc37.x86_64/usr/share/icingaweb2/modules/x509
find . -not -path . -not -path ./sources -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-x509-1.2.1-1.fc37.x86_64/usr/share/icingaweb2/modules/x509 \;
install -Dpm 0644 sources/icinga-x509.service %_topdir/BUILDROOT/icinga-x509-1.2.1-1.fc37.x86_64%{_unitdir}/icinga-x509.service

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/x509/doc
%license LICENSE
/usr/share/icingaweb2/modules/x509

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/x509 /etc/icingaweb2/enabledModules/x509
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/x509
fi

%files daemon
%{_unitdir}/icinga-x509.service

%post daemon
%systemd_post icinga-x509.service

%preun daemon
%systemd_preun icinga-x509.service

%postun daemon
%systemd_postun_with_restart icinga-x509.service

%files web

%changelog
* Wed Apr 12 2023 Icinga GmbH <info@icinga.com> - 1.2.1-1$RPM_DIST
- Version 1.2.1-1

